Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network54.128.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
Network address
54.128.0.0
Broadcast address
54.191.255.255
First usable
54.128.0.1
Last usable
54.191.255.254
Usable hosts
4,194,302 (4,194,304 less the network and broadcast addresses)
Subnet mask
255.192.0.0
Wildcard mask
0.63.255.255 (Cisco ACLs, OSPF)
Prefix length
/10
Type
Public public
Old class
A (default /8)
As numbers
Hex 36800000 · Integer 914358272 to 918552575
Reverse DNS zones
128.54.in-addr.arpa
129.54.in-addr.arpa
130.54.in-addr.arpa
131.54.in-addr.arpa
132.54.in-addr.arpa
133.54.in-addr.arpa
134.54.in-addr.arpa
135.54.in-addr.arpa
136.54.in-addr.arpa
137.54.in-addr.arpa
138.54.in-addr.arpa
139.54.in-addr.arpa
140.54.in-addr.arpa
141.54.in-addr.arpa
142.54.in-addr.arpa
143.54.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00110110.10000000.00000000.0000000054.128.0.0
Subnet mask11111111.11000000.00000000.00000000255.192.0.0
Network00110110.10000000.00000000.0000000054.128.0.0
Broadcast00110110.10111111.11111111.1111111154.191.255.255
Split into smaller subnets/17

54.128.0.0/10 makes 128 subnets of /17.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
154.128.0.0/1754.128.0.1 to 54.128.127.25454.128.127.25532,766
254.128.128.0/1754.128.128.1 to 54.128.255.25454.128.255.25532,766
354.129.0.0/1754.129.0.1 to 54.129.127.25454.129.127.25532,766
454.129.128.0/1754.129.128.1 to 54.129.255.25454.129.255.25532,766
554.130.0.0/1754.130.0.1 to 54.130.127.25454.130.127.25532,766
654.130.128.0/1754.130.128.1 to 54.130.255.25454.130.255.25532,766
754.131.0.0/1754.131.0.1 to 54.131.127.25454.131.127.25532,766
854.131.128.0/1754.131.128.1 to 54.131.255.25454.131.255.25532,766
954.132.0.0/1754.132.0.1 to 54.132.127.25454.132.127.25532,766
1054.132.128.0/1754.132.128.1 to 54.132.255.25454.132.255.25532,766
1154.133.0.0/1754.133.0.1 to 54.133.127.25454.133.127.25532,766
1254.133.128.0/1754.133.128.1 to 54.133.255.25454.133.255.25532,766
1354.134.0.0/1754.134.0.1 to 54.134.127.25454.134.127.25532,766
1454.134.128.0/1754.134.128.1 to 54.134.255.25454.134.255.25532,766
1554.135.0.0/1754.135.0.1 to 54.135.127.25454.135.127.25532,766
1654.135.128.0/1754.135.128.1 to 54.135.255.25454.135.255.25532,766
1754.136.0.0/1754.136.0.1 to 54.136.127.25454.136.127.25532,766
1854.136.128.0/1754.136.128.1 to 54.136.255.25454.136.255.25532,766
1954.137.0.0/1754.137.0.1 to 54.137.127.25454.137.127.25532,766
2054.137.128.0/1754.137.128.1 to 54.137.255.25454.137.255.25532,766
2154.138.0.0/1754.138.0.1 to 54.138.127.25454.138.127.25532,766
2254.138.128.0/1754.138.128.1 to 54.138.255.25454.138.255.25532,766
2354.139.0.0/1754.139.0.1 to 54.139.127.25454.139.127.25532,766
2454.139.128.0/1754.139.128.1 to 54.139.255.25454.139.255.25532,766
2554.140.0.0/1754.140.0.1 to 54.140.127.25454.140.127.25532,766
2654.140.128.0/1754.140.128.1 to 54.140.255.25454.140.255.25532,766
2754.141.0.0/1754.141.0.1 to 54.141.127.25454.141.127.25532,766
2854.141.128.0/1754.141.128.1 to 54.141.255.25454.141.255.25532,766
2954.142.0.0/1754.142.0.1 to 54.142.127.25454.142.127.25532,766
3054.142.128.0/1754.142.128.1 to 54.142.255.25454.142.255.25532,766
3154.143.0.0/1754.143.0.1 to 54.143.127.25454.143.127.25532,766
3254.143.128.0/1754.143.128.1 to 54.143.255.25454.143.255.25532,766
3354.144.0.0/1754.144.0.1 to 54.144.127.25454.144.127.25532,766
3454.144.128.0/1754.144.128.1 to 54.144.255.25454.144.255.25532,766
3554.145.0.0/1754.145.0.1 to 54.145.127.25454.145.127.25532,766
3654.145.128.0/1754.145.128.1 to 54.145.255.25454.145.255.25532,766
3754.146.0.0/1754.146.0.1 to 54.146.127.25454.146.127.25532,766
3854.146.128.0/1754.146.128.1 to 54.146.255.25454.146.255.25532,766
3954.147.0.0/1754.147.0.1 to 54.147.127.25454.147.127.25532,766
4054.147.128.0/1754.147.128.1 to 54.147.255.25454.147.255.25532,766
4154.148.0.0/1754.148.0.1 to 54.148.127.25454.148.127.25532,766
4254.148.128.0/1754.148.128.1 to 54.148.255.25454.148.255.25532,766
4354.149.0.0/1754.149.0.1 to 54.149.127.25454.149.127.25532,766
4454.149.128.0/1754.149.128.1 to 54.149.255.25454.149.255.25532,766
4554.150.0.0/1754.150.0.1 to 54.150.127.25454.150.127.25532,766
4654.150.128.0/1754.150.128.1 to 54.150.255.25454.150.255.25532,766
4754.151.0.0/1754.151.0.1 to 54.151.127.25454.151.127.25532,766
4854.151.128.0/1754.151.128.1 to 54.151.255.25454.151.255.25532,766
4954.152.0.0/1754.152.0.1 to 54.152.127.25454.152.127.25532,766
5054.152.128.0/1754.152.128.1 to 54.152.255.25454.152.255.25532,766
5154.153.0.0/1754.153.0.1 to 54.153.127.25454.153.127.25532,766
5254.153.128.0/1754.153.128.1 to 54.153.255.25454.153.255.25532,766
5354.154.0.0/1754.154.0.1 to 54.154.127.25454.154.127.25532,766
5454.154.128.0/1754.154.128.1 to 54.154.255.25454.154.255.25532,766
5554.155.0.0/1754.155.0.1 to 54.155.127.25454.155.127.25532,766
5654.155.128.0/1754.155.128.1 to 54.155.255.25454.155.255.25532,766
5754.156.0.0/1754.156.0.1 to 54.156.127.25454.156.127.25532,766
5854.156.128.0/1754.156.128.1 to 54.156.255.25454.156.255.25532,766
5954.157.0.0/1754.157.0.1 to 54.157.127.25454.157.127.25532,766
6054.157.128.0/1754.157.128.1 to 54.157.255.25454.157.255.25532,766
6154.158.0.0/1754.158.0.1 to 54.158.127.25454.158.127.25532,766
6254.158.128.0/1754.158.128.1 to 54.158.255.25454.158.255.25532,766
6354.159.0.0/1754.159.0.1 to 54.159.127.25454.159.127.25532,766
6454.159.128.0/1754.159.128.1 to 54.159.255.25454.159.255.25532,766
6554.160.0.0/1754.160.0.1 to 54.160.127.25454.160.127.25532,766
6654.160.128.0/1754.160.128.1 to 54.160.255.25454.160.255.25532,766
6754.161.0.0/1754.161.0.1 to 54.161.127.25454.161.127.25532,766
6854.161.128.0/1754.161.128.1 to 54.161.255.25454.161.255.25532,766
6954.162.0.0/1754.162.0.1 to 54.162.127.25454.162.127.25532,766
7054.162.128.0/1754.162.128.1 to 54.162.255.25454.162.255.25532,766
7154.163.0.0/1754.163.0.1 to 54.163.127.25454.163.127.25532,766
7254.163.128.0/1754.163.128.1 to 54.163.255.25454.163.255.25532,766
7354.164.0.0/1754.164.0.1 to 54.164.127.25454.164.127.25532,766
7454.164.128.0/1754.164.128.1 to 54.164.255.25454.164.255.25532,766
7554.165.0.0/1754.165.0.1 to 54.165.127.25454.165.127.25532,766
7654.165.128.0/1754.165.128.1 to 54.165.255.25454.165.255.25532,766
7754.166.0.0/1754.166.0.1 to 54.166.127.25454.166.127.25532,766
7854.166.128.0/1754.166.128.1 to 54.166.255.25454.166.255.25532,766
7954.167.0.0/1754.167.0.1 to 54.167.127.25454.167.127.25532,766
8054.167.128.0/1754.167.128.1 to 54.167.255.25454.167.255.25532,766
8154.168.0.0/1754.168.0.1 to 54.168.127.25454.168.127.25532,766
8254.168.128.0/1754.168.128.1 to 54.168.255.25454.168.255.25532,766
8354.169.0.0/1754.169.0.1 to 54.169.127.25454.169.127.25532,766
8454.169.128.0/1754.169.128.1 to 54.169.255.25454.169.255.25532,766
8554.170.0.0/1754.170.0.1 to 54.170.127.25454.170.127.25532,766
8654.170.128.0/1754.170.128.1 to 54.170.255.25454.170.255.25532,766
8754.171.0.0/1754.171.0.1 to 54.171.127.25454.171.127.25532,766
8854.171.128.0/1754.171.128.1 to 54.171.255.25454.171.255.25532,766
8954.172.0.0/1754.172.0.1 to 54.172.127.25454.172.127.25532,766
9054.172.128.0/1754.172.128.1 to 54.172.255.25454.172.255.25532,766
9154.173.0.0/1754.173.0.1 to 54.173.127.25454.173.127.25532,766
9254.173.128.0/1754.173.128.1 to 54.173.255.25454.173.255.25532,766
9354.174.0.0/1754.174.0.1 to 54.174.127.25454.174.127.25532,766
9454.174.128.0/1754.174.128.1 to 54.174.255.25454.174.255.25532,766
9554.175.0.0/1754.175.0.1 to 54.175.127.25454.175.127.25532,766
9654.175.128.0/1754.175.128.1 to 54.175.255.25454.175.255.25532,766
9754.176.0.0/1754.176.0.1 to 54.176.127.25454.176.127.25532,766
9854.176.128.0/1754.176.128.1 to 54.176.255.25454.176.255.25532,766
9954.177.0.0/1754.177.0.1 to 54.177.127.25454.177.127.25532,766
10054.177.128.0/1754.177.128.1 to 54.177.255.25454.177.255.25532,766
10154.178.0.0/1754.178.0.1 to 54.178.127.25454.178.127.25532,766
10254.178.128.0/1754.178.128.1 to 54.178.255.25454.178.255.25532,766
10354.179.0.0/1754.179.0.1 to 54.179.127.25454.179.127.25532,766
10454.179.128.0/1754.179.128.1 to 54.179.255.25454.179.255.25532,766
10554.180.0.0/1754.180.0.1 to 54.180.127.25454.180.127.25532,766
10654.180.128.0/1754.180.128.1 to 54.180.255.25454.180.255.25532,766
10754.181.0.0/1754.181.0.1 to 54.181.127.25454.181.127.25532,766
10854.181.128.0/1754.181.128.1 to 54.181.255.25454.181.255.25532,766
10954.182.0.0/1754.182.0.1 to 54.182.127.25454.182.127.25532,766
11054.182.128.0/1754.182.128.1 to 54.182.255.25454.182.255.25532,766
11154.183.0.0/1754.183.0.1 to 54.183.127.25454.183.127.25532,766
11254.183.128.0/1754.183.128.1 to 54.183.255.25454.183.255.25532,766
11354.184.0.0/1754.184.0.1 to 54.184.127.25454.184.127.25532,766
11454.184.128.0/1754.184.128.1 to 54.184.255.25454.184.255.25532,766
11554.185.0.0/1754.185.0.1 to 54.185.127.25454.185.127.25532,766
11654.185.128.0/1754.185.128.1 to 54.185.255.25454.185.255.25532,766
11754.186.0.0/1754.186.0.1 to 54.186.127.25454.186.127.25532,766
11854.186.128.0/1754.186.128.1 to 54.186.255.25454.186.255.25532,766
11954.187.0.0/1754.187.0.1 to 54.187.127.25454.187.127.25532,766
12054.187.128.0/1754.187.128.1 to 54.187.255.25454.187.255.25532,766
12154.188.0.0/1754.188.0.1 to 54.188.127.25454.188.127.25532,766
12254.188.128.0/1754.188.128.1 to 54.188.255.25454.188.255.25532,766
12354.189.0.0/1754.189.0.1 to 54.189.127.25454.189.127.25532,766
12454.189.128.0/1754.189.128.1 to 54.189.255.25454.189.255.25532,766
12554.190.0.0/1754.190.0.1 to 54.190.127.25454.190.127.25532,766
12654.190.128.0/1754.190.128.1 to 54.190.255.25454.190.255.25532,766
12754.191.0.0/1754.191.0.1 to 54.191.127.25454.191.127.25532,766
12854.191.128.0/1754.191.128.1 to 54.191.255.25454.191.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses